ID CVE-2007-4308
Summary The (1) aac_cfg_open and (2) aac_compat_ioctl functions in the SCSI layer ioctl path in aacraid in the Linux kernel before 2.6.23-rc2 do not check permissions for ioctls, which might allow local users to cause a denial of service or gain privileges.
References
Vulnerable Configurations
  • cpe:2.3:o:linux:linux_kernel:2.6.23:rc1:*:*:*:*:*:*
    cpe:2.3:o:linux:linux_kernel:2.6.23:rc1:*:*:*:*:*:*
  • cpe:2.3:a:adaptec:aacraid_controller:*:*:*:*:*:*:*:*
    cpe:2.3:a:adaptec:aacraid_controller:*:*:*:*:*:*:*:*
CVSS
Base: 1.9 (as of 15-10-2018 - 21:34)
Impact:
Exploitability:
CWE NVD-CWE-Other
CAPEC
Access
VectorComplexityAuthentication
LOCAL MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:L/AC:M/Au:N/C:N/I:N/A:P
oval via4
accepted 2013-04-29T04:17:55.841-04:00
class vulnerability
contributors
  • name Aharon Chernin
    organization SCAP.com, LLC
  • name Dragos Prisaca
    organization G2, Inc.
definition_extensions
  • comment The operating system installed on the system is Red Hat Enterprise Linux 3
    oval oval:org.mitre.oval:def:11782
  • comment CentOS Linux 3.x
    oval oval:org.mitre.oval:def:16651
  • comment The operating system installed on the system is Red Hat Enterprise Linux 4
    oval oval:org.mitre.oval:def:11831
  • comment CentOS Linux 4.x
    oval oval:org.mitre.oval:def:16636
  • comment Oracle Linux 4.x
    oval oval:org.mitre.oval:def:15990
  • comment The operating system installed on the system is Red Hat Enterprise Linux 5
    oval oval:org.mitre.oval:def:11414
  • comment The operating system installed on the system is CentOS Linux 5.x
    oval oval:org.mitre.oval:def:15802
  • comment Oracle Linux 5.x
    oval oval:org.mitre.oval:def:15459
description The (1) aac_cfg_open and (2) aac_compat_ioctl functions in the SCSI layer ioctl path in aacraid in the Linux kernel before 2.6.23-rc2 do not check permissions for ioctls, which might allow local users to cause a denial of service or gain privileges.
family unix
id oval:org.mitre.oval:def:8872
status accepted
submitted 2010-07-09T03:56:16-04:00
title The (1) aac_cfg_open and (2) aac_compat_ioctl functions in the SCSI layer ioctl path in aacraid in the Linux kernel before 2.6.23-rc2 do not check permissions for ioctls, which might allow local users to cause a denial of service or gain privileges.
version 24
redhat via4
advisories
  • bugzilla
    id 294941
    title CVE-2007-3739 LTC36188-Don't allow the stack to grow into hugetlb reserved regions
    oval
    AND
    • comment Red Hat Enterprise Linux 3 is installed
      oval oval:com.redhat.rhba:tst:20070026001
    • OR
      • AND
        • comment kernel is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049002
        • comment kernel is signed with Red Hat master key
          oval oval:com.redhat.rhba:tst:20070304003
      • AND
        • comment kernel-BOOT is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049014
        • comment kernel-BOOT is signed with Red Hat master key
          oval oval:com.redhat.rhsa:tst:20060710015
      • AND
        • comment kernel-doc is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049012
        • comment kernel-doc is signed with Red Hat master key
          oval oval:com.redhat.rhba:tst:20070304023
      • AND
        • comment kernel-hugemem is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049018
        • comment kernel-hugemem is signed with Red Hat master key
          oval oval:com.redhat.rhba:tst:20070304021
      • AND
        • comment kernel-hugemem-unsupported is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049016
        • comment kernel-hugemem-unsupported is signed with Red Hat master key
          oval oval:com.redhat.rhsa:tst:20060710017
      • AND
        • comment kernel-smp is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049006
        • comment kernel-smp is signed with Red Hat master key
          oval oval:com.redhat.rhba:tst:20070304009
      • AND
        • comment kernel-smp-unsupported is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049010
        • comment kernel-smp-unsupported is signed with Red Hat master key
          oval oval:com.redhat.rhsa:tst:20060710011
      • AND
        • comment kernel-source is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049004
        • comment kernel-source is signed with Red Hat master key
          oval oval:com.redhat.rhsa:tst:20060710007
      • AND
        • comment kernel-unsupported is earlier than 0:2.4.21-53.EL
          oval oval:com.redhat.rhsa:tst:20071049008
        • comment kernel-unsupported is signed with Red Hat master key
          oval oval:com.redhat.rhsa:tst:20060710009
    rhsa
    id RHSA-2007:1049
    released 2007-12-03
    severity Important
    title RHSA-2007:1049: kernel security and bug fix update (Important)
  • rhsa
    id RHSA-2007:0939
  • rhsa
    id RHSA-2007:0940
  • rhsa
    id RHSA-2008:0787
rpms
  • kernel-0:2.6.9-55.0.12.EL
  • kernel-devel-0:2.6.9-55.0.12.EL
  • kernel-doc-0:2.6.9-55.0.12.EL
  • kernel-hugemem-0:2.6.9-55.0.12.EL
  • kernel-hugemem-devel-0:2.6.9-55.0.12.EL
  • kernel-largesmp-0:2.6.9-55.0.12.EL
  • kernel-largesmp-devel-0:2.6.9-55.0.12.EL
  • kernel-smp-0:2.6.9-55.0.12.EL
  • kernel-smp-devel-0:2.6.9-55.0.12.EL
  • kernel-xenU-0:2.6.9-55.0.12.EL
  • kernel-xenU-devel-0:2.6.9-55.0.12.EL
  • kernel-0:2.6.18-8.1.15.el5
  • kernel-PAE-0:2.6.18-8.1.15.el5
  • kernel-PAE-devel-0:2.6.18-8.1.15.el5
  • kernel-devel-0:2.6.18-8.1.15.el5
  • kernel-doc-0:2.6.18-8.1.15.el5
  • kernel-headers-0:2.6.18-8.1.15.el5
  • kernel-kdump-0:2.6.18-8.1.15.el5
  • kernel-kdump-devel-0:2.6.18-8.1.15.el5
  • kernel-xen-0:2.6.18-8.1.15.el5
  • kernel-xen-devel-0:2.6.18-8.1.15.el5
  • kernel-0:2.4.21-53.EL
  • kernel-BOOT-0:2.4.21-53.EL
  • kernel-doc-0:2.4.21-53.EL
  • kernel-hugemem-0:2.4.21-53.EL
  • kernel-hugemem-unsupported-0:2.4.21-53.EL
  • kernel-smp-0:2.4.21-53.EL
  • kernel-smp-unsupported-0:2.4.21-53.EL
  • kernel-source-0:2.4.21-53.EL
  • kernel-unsupported-0:2.4.21-53.EL
refmap via4
bid 25216
bugtraq 20080221 VMSA-2008-0003 Moderate: Updated aacraid driver and samba and python service console updates
confirm
debian
  • DSA-1363
  • DSA-1503
  • DSA-1504
mandriva
  • MDKSA-2007:195
  • MDKSA-2007:196
mlist [Security-announce] 20080221 VMSA-2008-0003 Moderate: Updated aacraid driver and samba and python service console updates
sectrack 1019470
secunia
  • 26322
  • 26643
  • 26647
  • 26651
  • 27212
  • 27322
  • 27436
  • 27747
  • 27912
  • 27913
  • 28806
  • 29032
  • 29058
  • 29570
  • 33280
suse
  • SUSE-SA:2007:064
  • SUSE-SA:2008:006
  • SUSE-SA:2008:017
ubuntu
  • USN-508-1
  • USN-509-1
  • USN-510-1
vupen
  • ADV-2007-2786
  • ADV-2008-0637
Last major update 15-10-2018 - 21:34
Published 13-08-2007 - 21:17
Back to Top